#import "Book.h"

@implementation Book
@synthesize name, address, phone, email;

- (void)encodeWithCoder:(NSCoder *)coder
{
	[coder encodeObject:name forKey:@"BookName"];
	[coder encodeObject:address forKey:@"BookAddress"];
	[coder encodeObject:phone forKey:@"BookPhone"];
	[coder encodeObject:email forKey:@"BookEmail"];
}

- (id)initWithCoder:(NSCoder *)coder
{
	[super init];
	name = [coder decodeObjectForKey:@"BookName"];
	address = [coder decodeObjectForKey:@"BookAddress"];
	phone = [coder decodeObjectForKey:@"BookPhone"];
	email = [coder decodeObjectForKey:@"BookEmail"];
	return self;
}

@end
